[SCM] Samba Shared Repository - branch master updated - release-4-0-0alpha6-742-gca23469

Michael Adam obnox at samba.org
Tue Feb 10 18:00:55 GMT 2009


The branch, master has been updated
       via  ca23469a906bab690162184e8d3949897f7b5a67 (commit)
      from  77e3272092d58f852955327e7c335ce5ee15f52f (commit)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit ca23469a906bab690162184e8d3949897f7b5a67
Author: Michael Adam <obnox at samba.org>
Date:   Tue Feb 10 18:54:16 2009 +0100

    packaging: add script fill-templates
    
    This is a standalone-wrapper for update-pkginfo, which is
    usually called from create-tarball. It basically repeats
    some functionality of create-tarball.
    
    Michael

-----------------------------------------------------------------------

Summary of changes:
 packaging/bin/fill-templates |   46 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 46 insertions(+), 0 deletions(-)
 create mode 100755 packaging/bin/fill-templates


Changeset truncated at 500 lines:

diff --git a/packaging/bin/fill-templates b/packaging/bin/fill-templates
new file mode 100755
index 0000000..2222941
--- /dev/null
+++ b/packaging/bin/fill-templates
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+# Script to fill the packaging templates with the version
+# information that is created by mkversion in advance.
+#
+# This is a standalone wrapper for update-pkginfo, which
+# is ususally called from release-scripts/create-tarball.
+# This allows for testing some aspects of packaging without
+# the need to go through all of create-tarball.
+#
+# Copyright (C) Michael Adam 2009
+#
+# License: GPL
+
+DIRNAME=$(dirname $0)
+TOPDIR=${DIRNAME}/../../
+SRCDIR=${TOPDIR}/source
+VERSION_H=${SRCDIR}/include/version.h
+
+pushd ${SRCDIR}
+./script/mkversion.sh
+popd
+
+if [ ! -f ${VERSION_H} ] ; then
+	echo "Error creating version.h"
+	exit 1
+fi
+
+VERSION=`grep SAMBA_VERSION_OFFICIAL_STRING ${VERSION_H} | awk '{print $3}'`
+
+vendor_version=`grep SAMBA_VERSION_VENDOR_SUFFIX ${VERSION_H} | awk '{print $3}'`
+if test "x${vendor_version}" != "x" ; then
+	VERSION="${VERSION}-${vendor_version}"
+fi
+
+vendor_patch=`grep SAMBA_VERSION_VENDOR_PATCH ${VERSION_H} | awk '{print $3}'`
+if test "x${vendor_patch}" != "x" ; then
+	VERSION="${VERSION}-${vendor_patch}"
+fi
+
+VERSION=`echo ${VERSION} | sed 's/\"//g'`
+
+echo "VERSION: ${VERSION}"
+
+${TOPDIR}/packaging/bin/update-pkginfo "${VERSION}" 1 ""
+


-- 
Samba Shared Repository


More information about the samba-cvs mailing list